Package de.willuhn.jameica.hbci.synchronize.hbci

# Class HBCITraceMessageConsumer

java.lang.Object
de.willuhn.jameica.hbci.synchronize.hbci.HBCITraceMessageConsumer

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.MessageConsumer`

@Lifecycle(CONTEXT) public class HBCITraceMessageConsumer extends Object implements de.willuhn.jameica.messaging.MessageConsumer
Empfaengt HBCI-Trace-Messages.

## Constructor Summary

Constructors
Constructor
Description
`HBCITraceMessageConsumer()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`autoRegister()`
`Class[]`
`getExpectedMessageTypes()`
`List<HBCITraceMessage>`
`getTrace(String id)`
Liefert den HBCI-Trace zur angegebenen ID.
`void`
`handleMessage(de.willuhn.jameica.messaging.Message message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCITraceMessageConsumer

public HBCITraceMessageConsumer()

## Method Details

### getExpectedMessageTypes

public Class[] getExpectedMessageTypes()

Specified by:
  `getExpectedMessageTypes` in interface `de.willuhn.jameica.messaging.MessageConsumer`

### handleMessage

public void handleMessage(de.willuhn.jameica.messaging.Message message) throws Exception

Specified by:
  `handleMessage` in interface `de.willuhn.jameica.messaging.MessageConsumer`
Throws:
  `Exception`

### getTrace

public List<HBCITraceMessage> getTrace(String id)
Liefert den HBCI-Trace zur angegebenen ID.

Parameters:
  `id` - die ID. Typischerweise die des Konto. Kann NULL sein, wenn Nachrichten ohne speziellen Konto-Bezug geliefert werden sollen.
Returns:
  der HBCI-Trace.

### autoRegister

public boolean autoRegister()

Specified by:
  `autoRegister` in interface `de.willuhn.jameica.messaging.MessageConsumer`